org.apache.struts2.osgi.loaders

## Class StaticContentBundleResourceLoader

- java.lang.Object
- - org.apache.struts2.dispatcher.DefaultStaticContentLoader
  - - org.apache.struts2.osgi.loaders.StaticContentBundleResourceLoader

- All Implemented Interfaces:
    StaticContentLoader

      public class StaticContentBundleResourceLoader
      extends DefaultStaticContentLoader

  Loads static resources from bundles

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.struts2.dispatcher.StaticContentLoader

      `StaticContentLoader.Validator`

  - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.dispatcher.DefaultStaticContentLoader

      `devMode, encoding, lastModifiedCal, pathPrefixes, serveStatic, serveStaticBrowserCache, uiStaticContentPath`

    - ### Fields inherited from interface org.apache.struts2.dispatcher.StaticContentLoader

      `DEFAULT_STATIC_CONTENT_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StaticContentBundleResourceLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected URL` | `findResource(String path)`
    `void` | `setBundleAccessor(BundleAccessor bundleAccessor)`

    - ### Methods inherited from class org.apache.struts2.dispatcher.DefaultStaticContentLoader

      `buildPath, canHandle, cleanupPath, copy, findStaticResource, getAdditionalPackages, getContentType, parse, process, setDevMode, setEncoding, setHostConfig, setServeStaticBrowserCache, setServeStaticContent, setStaticContentPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StaticContentBundleResourceLoader

          public StaticContentBundleResourceLoader()

  - ### Method Detail

    - #### findResource

          protected URL findResource(String path)
                              throws IOException

      Overrides:
        `findResource` in class `DefaultStaticContentLoader`
      Throws:
        `IOException`

    - #### setBundleAccessor

          public void setBundleAccessor(BundleAccessor bundleAccessor)

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.